#ifndef _DEF_PLAYER_COLLIDE
#define _DEF_PLAYER_COLLIDE

#include <gint/defs/types.h>
#include <stdbool.h>

#include "conf.h"
#include "level.h"

/* Return tile at the given position.
 * 0 is out of bound or empty. */
uint8_t collide_point(Vec point, const Level *level, uint layer);
bool player_collide(Player *player, Vec position, const Level *level, uint layer_id);

#endif /* _DEF_PLAYER_COLLIDE */
